get
https://auth.seismic.com/auth
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
All Seismic API endpoints are authenticated using industry standard OpenID Connect/OAuth2 and require a Bearer token to be passed in as an Authorization header for the API to respond.
The endpoints and methods described in this section are here to assist you in getting your Bearer token so you can start making calls to the Reporting API endpoints.
In many of these suggested flows, we utilize the oidc-client-js library which makes managing the login flows quite simple. There are great samples and documentation available to support this library.
This library supports implicit and authorization_code flows and includes samples for popup, redirect, and silent iframe based login flows.